apiVersion: cluster.x-k8s.io/v1beta2
kind: Cluster

metadata:
  name: akr-test01
  namespace: akr-001

spec:
  clusterNetwork:
    services:
      cidrBlocks:
        - 10.96.0.0/12
    pods:
      cidrBlocks:
        - 192.168.0.0/16
    serviceDomain: cluster.local

  topology:
    classRef:
      name: builtin-generic-v3.7.0
      namespace: vmware-system-vks-public

    version: v1.35.6---vmware.2-vkr.3

    controlPlane:
      replicas: 1

    workers:
      machineDeployments:
        - class: node-pool
          name: worker-pool-01
          replicas: 1

    variables:
      - name: vmClass
        value: best-effort-medium

      - name: storageClass
        value: vsan-default-storage-policy

      - name: vsphereOptions
        value:
          persistentVolumes:
            defaultStorageClass: vsan-default-storage-policy
